#include "stm32f10x.h"
#include "sys.c"
#include "io.c"
#include "i3202lcd.c"
#include "tsc2003.c"


void systick_isr(void)  // SysTick Interrupt Service Routine.  interval : 1ms
{
}


void lcd_clear(void)
{                  
  unsigned int n,m;
  
  LcdSetWindow(0,0,320,240);
  LcdDataStart();
  for(n=0;n<320;n++)
   {  for(m=0;m<240;m++) { LcdDataWrite(0xffff); }
   }
  LcdDataEnd();
}

int main(void)
{
  unsigned int x,y; 
  unsigned char result;
  unsigned int color=RGB(128,128,128);
  
  gpio_init();
  rcc_init();  
  uart_init1();
//  vector_init();
//  systick_init();

  mdelay(1000);  // wait for flash loader communication...
  put_string1("\n Touch Test.");

  LcdInit(); 
  LcdBl_H;  // LCD Back Light On..
  
  LcdSetDirection(90);
  lcd_clear();
  
  Tsc2003Init();

  while(1)
  {
     if(PenIrq) 
      {
         result=average_touch_pos(&x,&y);  
         if(result)
          { LcdSetWindow(x,y,3,3);
            LcdDataStart();
            LcdDataWrite(color);
            LcdDataWrite(color);
            LcdDataWrite(color);
            LcdDataWrite(color);
            LcdDataWrite(color);
            LcdDataWrite(color);            
            LcdDataWrite(color);
            LcdDataWrite(color);
            LcdDataWrite(color);            

            LcdDataEnd();
          } 
      }
     else
      {  window_cnt=0;   // reset touch window buffer.
      }
         
    
  }

}




